libvorbis-devel-1.3.6-74.12.i586.rpm


Advertisement

Description

libvorbis-devel - Include Files and Libraries mandatory for Ogg Vorbis Development

Property Value
Distribution openSUSE Tumbleweed
Repository Emulators all
Package filename libvorbis-devel-1.3.6-74.12.i586.rpm
Package name libvorbis-devel
Package version 1.3.6
Package release 74.12
Package architecture i586
Package type rpm
Category Development/Libraries/C and C++
Homepage http://www.vorbis.com/
License BSD-3-Clause
Maintainer -
Download size 21.98 KB
Installed size 39.88 KB
This package contains all necessary include files and libraries needed
to compile and develop applications that use libvorbis.

Alternatives

Package Version Architecture Repository
libvorbis-devel-1.3.6-74.12.x86_64.rpm 1.3.6 x86_64 Emulators
libvorbis-devel-1.3.6-73.8.x86_64.rpm 1.3.6 x86_64 Multimedia Libs
libvorbis-devel-1.3.6-73.8.i586.rpm 1.3.6 i586 Multimedia Libs
libvorbis-devel-1.3.6-3.4.x86_64.rpm 1.3.6 x86_64 openSUSE Oss
libvorbis-devel-1.3.6-3.4.i586.rpm 1.3.6 i586 openSUSE Oss
libvorbis-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
glibc-devel -
libogg-devel -
libvorbis0 = 1.3.6
libvorbisenc2 = 1.3.6
libvorbisfile3 = 1.3.6
pkgconfig(ogg) -
pkgconfig(vorbis) -

Provides

Name Value
libvorbis-devel = 1.3.6-74.12
libvorbis-devel(x86-32) = 1.3.6-74.12
pkgconfig(vorbis) = 1.3.6
pkgconfig(vorbisenc) = 1.3.6
pkgconfig(vorbisfile) = 1.3.6

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libvorbis-devel-1.3.6-74.12.i586.rpm
Source Package libvorbis-1.3.6-74.12.src.rpm

Install Howto

  1. Add the Emulators repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/Emulators/openSUSE_Tumbleweed/ emulators
  2. Install libvorbis-devel rpm package:
    # zypper install libvorbis-devel

Files

Path
/usr/include/vorbis/codec.h
/usr/include/vorbis/vorbisenc.h
/usr/include/vorbis/vorbisfile.h
/usr/lib/libvorbis.so
/usr/lib/libvorbisenc.so
/usr/lib/libvorbisfile.so
/usr/lib/pkgconfig/vorbis.pc
/usr/lib/pkgconfig/vorbisenc.pc
/usr/lib/pkgconfig/vorbisfile.pc
/usr/share/aclocal/vorbis.m4
/usr/share/doc/packages/libvorbis-devel/AUTHORS
/usr/share/licenses/libvorbis-devel/COPYING

Changelog

2018-06-05 - tiwai@suse.de
- Replace vorbis-CVE-2017-14160.patch with the upstream fix
(commit 018ca26dece6), refresh vorbis-CVE-2018-10393.patch
- Fix the validation of channels in mapping0_forward()
(CVE-2018-10392, bsc#1091070):
vorbis-CVE-2018-10392.patch
2018-05-03 - tiwai@suse.de
- Fix out-of-bounds access inside bark_noise_hybridmp function
(CVE-2017-14160, bsc#1059812):
downstream fix: vorbis-CVE-2017-14160.patch
- Fix stack-basedbuffer over-read in bark_noise_hybridm
(CVE-2018-10393, bsc#1091072):
downstream fix: vorbis-CVE-2018-10393.patch
2018-03-17 - tiwai@suse.de
- Split libvorbis-doc subpackage to a separate spec file for
reducing the dependencies
2018-03-16 - tiwai@suse.de
- Update to version 1.3.6:
* Fix CVE-2018-5146 - out-of-bounds write on codebook decoding.
* Fix CVE-2017-14632 - free() on unitialized data
* Fix CVE-2017-14633 - out-of-bounds read
* Fix bitrate metadata parsing.
* Fix out-of-bounds read in codebook parsing.
* Fix residue vector size in Vorbis I spec.
* Appveyor support
* Travis CI support
* Add secondary CMake build system.
* Build system fixes
- Build documents with doxygen, and many tex stuff;
this requires to disable parallel builds partially
- Move COPYING to license directory
- Drop obsoleted patches:
vorbis-fix-linking.patch
0001-CVE-2017-14633-Don-t-allow-for-more-than-256-channel.patch
0002-CVE-2017-14632-vorbis_analysis_header_out-Don-t-clea.patch
libvorbis-CVE-2018-5146.patch
2018-03-16 - tiwai@suse.de
- Fix VUL-0: libvorbis: Out of bounds memory write while processing
Vorbis audio data (CVE-2018-5146, bsc#1085687):
libvorbis-CVE-2018-5146.patch
2017-12-19 - tiwai@suse.de
- Fix VUL-0: out-of-bounds array read vulnerability exists in
function mapping0_forward() (CVE-2017-14633, bsc#1059811):
0001-CVE-2017-14633-Don-t-allow-for-more-than-256-channel.patch
- Fix VUL-0: Remote Code Execution upon freeing uninitialized
memory in function vorbis_analysis_headerout(CVE-2017-14632,
bsc#1059809):
0002-CVE-2017-14632-vorbis_analysis_header_out-Don-t-clea.patch
2016-11-29 - aloisio@gmx.com
- Added 32bit libvorbis-devel in baselibs.conf
2015-03-06 - mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Update to 1.3.5
* Tolerate single-entry codebooks.
* Fix decoder crash with invalid input.
* Fix encoder crash with non-positive sample rates.
* Fix issues in vorbisfile's seek bisection code.
* Spec errata.
* Reject multiple headers of the same type.
* Various build fixes and code cleanup.
2014-08-18 - fcrozat@suse.com
- Fix obsoletes and provides in baselibs.conf.
2014-02-23 - andreas.stieger@gmx.de
- Xiph libvorbis 1.3.4
* reduced static data size in libvorbisenc
* associated minor changes required to libvorbis and libvorbisfile
* minor build fixes and build system updates
* no functional changes over the previous 1.3.3 release
- removed libvorbis-pkgconfig.patch, in upstream
- updated vorbis-fix-linking.patch for context changes

See Also

Package Description
libvorbis-devel-32bit-1.3.6-74.12.x86_64.rpm Include Files and Libraries mandatory for Ogg Vorbis Development
libvorbis0-1.3.6-74.12.i586.rpm The Vorbis General Audio Compression Codec
libvorbis0-1.3.6-74.12.x86_64.rpm The Vorbis General Audio Compression Codec
libvorbis0-32bit-1.3.6-74.12.x86_64.rpm The Vorbis General Audio Compression Codec
libvorbisenc2-1.3.6-74.12.i586.rpm The Vorbis General Audio Compression Codec
libvorbisenc2-1.3.6-74.12.x86_64.rpm The Vorbis General Audio Compression Codec
libvorbisenc2-32bit-1.3.6-74.12.x86_64.rpm The Vorbis General Audio Compression Codec
libvorbisfile3-1.3.6-74.12.i586.rpm The Vorbis General Audio Compression Codec
libvorbisfile3-1.3.6-74.12.x86_64.rpm The Vorbis General Audio Compression Codec
libvorbisfile3-32bit-1.3.6-74.12.x86_64.rpm The Vorbis General Audio Compression Codec
libz80ex1-1.1.21-1.30.i586.rpm ZiLOG Z80 CPU emulation library
libz80ex1-1.1.21-1.30.x86_64.rpm ZiLOG Z80 CPU emulation library
m64py-0.2.4-1.18.noarch.rpm A frontend for Mupen64Plus
mame-0.209-45.1.i586.rpm Multiple Arcade Machine Emulator
mame-0.209-45.1.x86_64.rpm Multiple Arcade Machine Emulator
Advertisement
Advertisement